# A calculator app for distributions on Android

## About

This is a calculator app for Android that can deal with distributions. It looks as follows:

https://github.com/user-attachments/assets/e8f96941-6732-4585-bee9-9de9aa5ff574

The idea is to have a simple app that is able to help people operate with distributions quicker. 

## Getting started

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" alt="Get it on F-Droid" height="80">](https://f-droid.org/packages/com.nunosempere.distributioncalculator/)

Download [F-Droid](https://f-droid.org/en/), an alternative to Google Play for open source apps, then download the [distribution calculator](https://f-droid.org/en/packages/com.nunosempere.distributioncalculator/) from F-Droid. This has the advantage that F-Droid will take care of updates, scanning, etc. Installing F-Droid also means that you can download *other cool F-Droid apps*.

Alternatively, you can download the apk from Github releases [here](https://github.com/NunoSempere/distribution-calculator-android/releases). Google may ask you to scan it, it doesn't take that long.

## Usage

- Try examples from [this thread](https://x.com/NunoSempere/status/1894830531235205399)!
- See an introduction to Fermi estimates [here](https://nunosempere.com/blog/2022/08/20/fermi-introduction/)
- Swipe left or right to duplicate an input
- inputs and outputs represent the 90% confidence interval (5% to 90%). 

## Contributions

Contributions are welcome. Feel free to make a pull request, e.g., adapting this app so that it also works on your phone, adding more error checking, etc.

## License 

Distributed with the MIT license, see LICENSE.txt

## See also... 

- [An introduction to Fermi estimates](https://forum.effectivealtruism.org/posts/cpfgq84B8XHXPWLcM/introduction-to-fermi-estimates)
- [fermi](https://git.nunosempere.com/NunoSempere/fermi), a terminal DSL for Fermi estimation with distributions
- [Squiggle](https://www.squiggle-language.com/), a a simple programming language for intuitive probabilistic estimation, 
