# Roadmap 

## On v0.0.2

- [x] More thorough error checking
- [ ] Just use for a while.
  - [x] Fixed op order
  - [x] Highlight selected operation
  - [x] Some way to duplicate inputs => swipe
- [ ] Add distribution stats? 
- [ ] Add some history
  - Also suggested by a user here: <https://github.com/NunoSempere/distribution-calculator-android/issues/1>. Maybe make the = sign button a bit smaller and add a history option. Maybe add a "more" / "..." options which includes view history.
  - [ ] View past calculations at all
  - [ ] Allow users to edit the calculations (harder)
  - [ ] Allow users to copy & export (and import?) the calculations as well
  - [ ] Meta level issue: decide what level of complexity I want for this calculator
    - What permissions do each of these features require? 
- [ ] Add beta distribution?
- [x] Add to F-Droid?
  - <https://f-droid.org/en/docs/Submitting_to_F-Droid_Quick_Start_Guide/>, <https://f-droid.org/en/docs/Inclusion_How-To/#Proposal_by_Metadata_Merge_Request>. Would take a few hours of concentration.
  - [x] Start adding changelogs
  - [x] Clean up tag name. Choose one of v0.01.6 or v0.02.01, but document consistently
  - [x] Sent to Fdroid: <https://gitlab.com/fdroid/fdroiddata/-/merge_requests/20297>
  - [x] Add badge to readme? <https://f-droid.org/docs/Badges/.
  - [x] More on fastlane metadata: https://gitlab.com/-/snippets/1895688
  - [x] ~~Consider signing builds? <https://github.com/patrickfav/uber-apk-signer>, <https://stackoverflow.com/questions/10930331/how-to-sign-an-already-compiled-apk>~~
  - [x] Consider improving fdroid documentation. E.g., F-Droid itself doesn't have the full fastlane commands yet refers to it
  - <https://monitor.f-droid.org/builds/running>
- [x] Add labels on outputs
  - [ ] Double check that these display well on screens of different sizes.
  - [ ] ~~Check with Jonathan?~~

## Public v0.0.1

- [x] Come up with logo
- [x] Publish README
- [x] Publish apk
- [x] Think how to deliver it.
  - [x] Github? 
  - Own webpage

## MVP 

- [x] Change behavior of clear to clear output as well
- [x] Add K/M/B suffixes
- [x] Add %
- [x] Fix usage of "."
- [x] Move selection back to first item after = 
- [x] Select * as default?
- [ ] ~Add backspace~~
- [x] Make X more prominent
- [ ] ~~Clear on double tap?~~
- [x] Add separators / different colors
- [x] Big x and = buttons 
- [x] Add algebra
